Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class ReferenceManager

    java.lang.Object
      org.codehaus.groovy.util.ReferenceManager

    class ReferenceManager
    extends Object

Nested Class Summary
`class` | `ReferenceManager.ThreadedReferenceManager`

Constructor Summary
`ReferenceManager()`

Method Summary
`def` | `ReferenceManager(ReferenceQueue queue)`
`void` | `afterReferenceCreation(Reference r)`
`static ReferenceManager` | `createCallBackedManager(ReferenceQueue queue)`
`static ReferenceManager` | `createIdlingManager(ReferenceQueue queue)`
`static ReferenceManager` | `createThreadedManager(ReferenceQueue queue)`
`static ReferenceManager` | `createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)`
`static ReferenceBundle` | `getDefaultSoftBundle()`
`static ReferenceBundle` | `getDefaultWeakBundle()`
`protected ReferenceQueue` | `getReferenceQueue()`
`void` | `removeStallEntries()`
`void` | `stopThread()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ReferenceManager

    ReferenceManager()

Method Detail

### ReferenceManager

    public def ReferenceManager(ReferenceQueue queue)

### afterReferenceCreation

    public void afterReferenceCreation(Reference r)

### createCallBackedManager

    public static ReferenceManager createCallBackedManager(ReferenceQueue queue)

### createIdlingManager

    public static ReferenceManager createIdlingManager(ReferenceQueue queue)

### createThreadedManager

    public static ReferenceManager createThreadedManager(ReferenceQueue queue)

### createThresholdedIdlingManager

    public static ReferenceManager createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)

### getDefaultSoftBundle

    public static ReferenceBundle getDefaultSoftBundle()

### getDefaultWeakBundle

    public static ReferenceBundle getDefaultWeakBundle()

### getReferenceQueue

    protected ReferenceQueue getReferenceQueue()

### removeStallEntries

    public void removeStallEntries()

### stopThread

    public void stopThread()

### toString

    @Override
    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.